//------------------------------------------------------------------------
// File for project XCALC
//------------------------------------------------------------------------
// Conversion procedure
// Actions:
//	- opens conversion dialogue or quick converts
//	- sets ST[Xreg] to new value based on conversion 
//------------------------------------------------------------------------

#include "xcalc.h"

// These from dialogs.c
extern LD ConvertedVal;
extern LD ConvertVal;

BOOL Convert(BOOL Quick)
{
	if (Quick) {
		ConvertVal = getreal(&ST[Xreg]);
		if (DoConversion()) { 
			ST[Xreg].real = ConvertedVal;
			ST[Xreg].imag = 0;
			null(&ST[Xreg]);
			return FALSE;
		}
		else {
			Error = __RANGE;
			return TRUE;
		}
	}
	else {
		if (DialogBox(hInst,"XCALCCONVERT",hwndXCALC,ConvertDlgProc)) // true="OK"
		{
			ST[Xreg].real = ConvertedVal;
			ST[Xreg].imag = 0;
			null(&ST[Xreg]);
			return FALSE;
		}
		else
			return TRUE;
	}
}
